## fcitx5-tmux 0.0~git20220221.35daf5d

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(fcitx5-tmux)

include(FeatureSummary)
include(GNUInstallDirs)

find_package(Fcitx5Utils REQUIRED)

include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")

add_subdirectory(src)

configure_file(fcitx5.tmux.in fcitx5.tmux @ONLY)
install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/fcitx5.tmux DESTINATION ${CMAKE_INSTALL_DATADIR}/tmux-fcitx5)

=== src/CMakeLists.txt ===

add_executable(fcitx5-tmux main.cpp)
target_link_libraries(fcitx5-tmux Fcitx5::Utils)

install(TARGETS fcitx5-tmux RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR})

=== debian/changelog ===
fcitx5-tmux (0.0~git20220221.35daf5d-3) unstable; urgency=medium

  * debian/control: Bump Standards-Version to 4.7.2.
  * debian/watch: Update to version 5.
  * debian/patches/0001-Bump-minimum-CMake-required-version.patch:
    Bump minimum required cmake version. (Closes: #1112908)

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Sep 2025 13:24:50 -0400

fcitx5-tmux (0.0~git20220221.35daf5d-2) unstable; urgency=medium

  * Source-only upload.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Jul 2022 16:56:05 -0400

fcitx5-tmux (0.0~git20220221.35daf5d-1) unstable; urgency=medium

  * Initial release.

 -- Boyuan Yang <byang@debian.org>  Fri, 24 Jun 2022 21:10:20 -0400

=== debian/control ===
Source: fcitx5-tmux
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libfcitx5utils-dev,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/wengxt/fcitx5-tmux
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-tmux.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-tmux
Description: Tmux fcitx5 client
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package can help to make tmux a fcitx client. It allows you to
 type with input method without using graphical display server.
 For example, you can type with Fcitx under TTY.

Package: fcitx5-frontend-tmux
Architecture: linux-any
Depends:
 dbus-bin,
 tmux,
 fcitx5,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 fcitx5-chinese-addons,
Provides:
 fcitx5-tmux,
Description: ${source:Synopsis}
 ${source:Extended-Description}

=== debian/watch ===
Version: 5

Source: https://github.com/wengxt/fcitx5-tmux/
Matching-Pattern: HEAD
Mode: git
Pgpmode: none

## fcitx5-tmux 0.0~git20251230.fe96f85

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.13)
 
 project(fcitx5-tmux)

=== debian/changelog ===
fcitx5-tmux (0.0~git20251230.fe96f85-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/patches: Dropped, not needed.

 -- Boyuan Yang <byang@debian.org>  Thu, 01 Jan 2026 11:50:01 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: fcitx5-tmux
 Section: utils
-Priority: optional
 Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
@@ -8,8 +7,7 @@
  cmake,
  debhelper-compat (= 13),
  libfcitx5utils-dev,
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://github.com/wengxt/fcitx5-tmux
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-tmux.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-tmux
